image: clojure:lein-2.8.1

test:
  stage: test
  script:
    - lein test

deploy:
  stage: deploy
  only:
    - master
  script:
    - lein with-profile ci deploy clojars

pages:
  stage: deploy
  only:
    - master
  script:
    - lein do clean, codox
    - mv ./target/doc ./public
  artifacts:
    paths:
      - public
